QGIS Application - Bug report #3578
interpolation plugin output without explicit CRS
2011-03-09 03:32 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 13638
Description

Example:

add a layer with certain CRS (see attached file) and then use the interpolation tool.

The output will show correctly overlapped, but it doesn't have associated any explicit CRS, as gdalinfo shows

Driver: AAIGrid/Arc/Info ASCII Grid

Files: /home/gio/Desktop/inter.asc

Size is 300, 300

Coordinate System is @'

Origin = (1646340.000000000000000,4834290.000000000000000)

Pixel Size = (157.166670000000011,-103.099999999999994)

Corner Coordinates:

Upper Left ( 1646340.000, 4834290.000)

Lower Left ( 1646340.000, 4803360.000)

Upper Right ( 1693490.001, 4834290.000)

Lower Right ( 1693490.001, 4803360.000)

Center (1669915.001, 4818825.000)

Band 1 Block=300x1 Type=Float32, [[ColorInterp]]=Undefined
[[NoData]] Value=-9999

Associated revisions

Revision 34421c89 - 2014-03-27 02:48 PM - Alexander Bruy

assign CRS to interpolation output (fix #3578)

History

#1 - 2011-07-25 09:11 AM - Paolo Cavallini
- Tracker changed from Bug report to 4

- Start date set to 2011-07-25

- Pull Request or Patch supplied set to No

#2 - 2011-12-15 08:14 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes
- File create-prj.patch added
Here is quick fix for this. | know it's not optimal

#3 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4
#4 - 2012-04-15 09:23 AM - Giovanni Manghi

- Affected QGIS version set to master

- Tracker changed from 4 to Bug report

- Crashes QGIS or corrupts data set to No

#5 - 2012-04-16 06:26 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-12-13 11:38 AM - Giovanni Manghi
- Priority changed from Low to High

- Operating System deleted (All)

- Status info deleted (0)

Alexander Bruy wrote:

Here is quick fix for this. | know it's not optimal

This issue still true on master, Alexander, was this patch ever committed?

#8 - 2012-12-14 12:18 AM - Alexander Bruy

Giovanni Manghi wrote:

This issue still true on master, Alexander, was this patch ever committed?

AFAIK, it is not applied. | don't commit it and leave for review because proposed solution is not ideal, maybe there is a better way to fix this.

#9 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#10 - 2013-07-27 01:23 PM - Daniel Vaz

| think that supplied patch do the job in the right way. :-)

#11 - 2013-07-28 02:22 AM - Giovanni Manghi

Daniel Vaz wrote:
| think that supplied patch do the job in the right way. :-)

If the patch is not submitted on github then is unlikely that will be reviewed and eventually committed.

#12 - 2014-01-30 11:43 PM - Paolo Cavallini
- Target version changed from Version 2.0.0 to Future Release - High Priority

#13 - 2014-03-26 11:44 AM - Alexander Bruy

Pull request here https://github.com/qgis/QGIS/pull/1270

#14 - 2014-03-27 06:48 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"34421c896fa5¢c7a0e8161576d9c9ecee9eeb86ad".

Files
pontos_shp.zip 209 KB 2011-03-09 Giovanni Manghi
create-prj.patch 1.65 KB 2011-12-15 Alexander Bruy
https://github.com/qgis/QGIS/pull/1270

